class Termometer
{
	private Temperatur aktuel = new Temperatur();
	private Temperatur max    = new Temperatur();
	private Temperatur min    = new Temperatur();
	
	public Termometer ()
	{
		clearMinMax();
	}

	public void setTemperatur ( Temperatur nyTemperatur)
	{
		aktuel.setCelcius( nyTemperatur.getCelcius() );
		if (aktuel.getCelcius() < min.getCelcius())
			min.setCelcius(aktuel.getCelcius());
		if (aktuel.getCelcius() > max.getCelcius())
			max.setCelcius(aktuel.getCelcius());
		
	}

	public void setTemperaturUdgave2 ( Temperatur nyTemperatur)
	{
		aktuel.setTemperatur( nyTemperatur );
		if (aktuel.compareTo( min ) < 0)
			min.setTemperatur(aktuel);
		if (aktuel.compareTo( max ) > 0)
			max.setTemperatur(aktuel);
		
	}

	public Temperatur getTemperatur ( )
	{
		Temperatur t = new Temperatur();			// kopi af hensyn
		t.setCelcius(aktuel.getCelcius());		//  til indkapsling
		return (t);
	}
	public Temperatur getMinTemperatur ( )
	{																				// alternativ kopi
		Temperatur t = new Temperatur();			// kopi af hensyn
		t.setTemperatur(min);									//  til indkapsling
		return (t);
	}
	public Temperatur getMaxTemperatur ( )
	{																				// alternativ kopi
		return (new Temperatur(max));
	}

	public void clearMinMax ()
	{
		min.setCelcius(aktuel.getCelcius());
		max.setCelcius(aktuel.getCelcius());
	}


		
}
